import ldap

class WigLDAP:
    def __init__(self, prod=False):
        if prod:
            self.url = 'ldap://eodldap.vgt.vito.be'
        else:
            self.url = 'ldap://eodldaptest.vgt.vito.be'
        self.ldap = ldap.initialize(self.url)
        self.ldap.simple_bind_s("cn=admin,dc=vito,dc=be", "secret")


    def getInfoByID(self, id):
        ldap_base = "ou=users,ou=databio,dc=eodata,dc=vito,dc=be"
        query = "(uid=%s)" % id
        result = self.ldap.search_s(ldap_base, ldap.SCOPE_SUBTREE, query)

        if len(result) > 0:
            return result[0][1]
        else:
            return None

    def getInfoByMail(self, mail):
        ldap_base = "ou=users,ou=databio,dc=eodata,dc=vito,dc=be"
        query = "(mail=%s)" % mail
        result = self.ldap.search_s(ldap_base, ldap.SCOPE_SUBTREE, query)

        if len(result) > 0:
            return result[0][1]
        else:
            return None
